// TestSDKDlg.h : header file
//

#if !defined(AFX_TESTSDKDLG_H__080AF0BC_BD43_4AAA_A5B4_E9E6AE3795F4__INCLUDED_)
#define AFX_TESTSDKDLG_H__080AF0BC_BD43_4AAA_A5B4_E9E6AE3795F4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTestSDKDlg dialog

class CTestSDKDlg : public CDialog
{
// Construction
public:
	CTestSDKDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTestSDKDlg)
	enum { IDD = IDD_TESTSDK_DIALOG };
	CListCtrl	m_ListMsg;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestSDKDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	void InsertDebugMes(CString sMsg);
	int m_iPort;
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestSDKDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnButton7();
	afx_msg void OnButton8();
	afx_msg void OnButton9();
	afx_msg void OnButton10();
	afx_msg void OnButton11();
	afx_msg void OnButton12();
	afx_msg void OnButton13();
	afx_msg void OnButton14();
	afx_msg void OnButton15();
	afx_msg void OnButton18();
	afx_msg void OnButton16();
	afx_msg void OnButton19();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTSDKDLG_H__080AF0BC_BD43_4AAA_A5B4_E9E6AE3795F4__INCLUDED_)
